export default {
  editContent(store, data) {
    if (!store.state.elements[data.id]) {
      store.commit("addElement", data);
    }

    store.commit("editContent", data);
    store.commit("setCurrentlyEditableContent", null);
    store.commit("setContentOverlayVisibility", false);
  },
  showContentOverlay(store, data) {
    store.commit("setCurrentlyEditableContent", data);
    store.commit("setContentOverlayVisibility", true);
  },
  closeContentOverlay(store) {
    store.commit("setCurrentlyEditableContent", null);
    store.commit("setContentOverlayVisibility", false);
  }
};
